extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de marcas"
    - var CabeceraListado = ["Fabricante","Marca","Descripción"]
    - var CantidadListado = "{{ tMarcas.length }}"
    - var TituloDatos = "Detalles de la Marca"
    - var TamanoColeccion = "tMarcas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMarcaFor of tMarcas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Marca_Eliminar(tMarcaFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Marca(tMarcaFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap [{{ tMarcaFor.Codfabricante }}] {{ tMarcaFor.Descripcion_Fabricante | slice:0:20 }}
        td
            h6.text-xs {{ tMarcaFor.Codmarca }}
        td
            h6.text-xs.text-nowrap {{ tMarcaFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-marca-cabecera([(Marca)]="tMarcaActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-marca-detalles([(Marca)]="tMarcaActual", [Fabricantes]="tFabricantes", [Nuevo]="tNuevo")
